VOS_LISTPART(1)

NAME
vos_listpart - Displays all AFS partitions on a file server machine

SYNOPSIS
vos listpart -server <machine name> [-cell <cell name>]
    [-noauth] [-localauth] [-verbose] [-help]

vos listp -s <machine name> [-c <cell name>] [-n]
    [-l] [-v] [-h]

DESCRIPTION
The vos listpart command displays all of the valid AFS partitions on the indicated file server machine, without consulting the Volume Location Database (VLDB). The vos partinfo command reports the size of a partition and the available space on that partition.

OPTIONS

-server <server name>
    Identifies the file server machine for which to list the partitions. Provide the machine's IP address or its host name (either fully qualified or using an unambiguous abbreviation). For details, see vos(1).

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see vos(1).

-noauth
    Assigns the unprivileged identity anonymous to the issuer. Do not combine this flag with the -localauth flag. For more details, see vos(1).

-localauth
    Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see vos(1).

-verbose
    Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
The output consists of a list of partition names of the form /vicepxx, following the header:

   The partitions on the server are:

The last line of the output reports the total number of partitions.

EXAMPLES
The following command displays the partitions on "fs1.abc.com":

   % vos listpart fs1.abc.com
   The partitions on the server are:
       /vicepa     /vicepb     /vicepc     /vicepd
   Total:  4

PRIVILEGE REQUIRED
None

SEE ALSO
vos(1), vos_partinfo(1)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.